imagePullSecrets:
  - name: <secret-for-docker-ubs-hainer-com>

##########################################################################
# Common environment configuration section
##########################################################################
xdm:
  version: 3.22.13-1
  environment:
    name: XDM
    color: gray

##########################################################################
# Specifies the XDM license key.
##########################################################################
  license: |
    LICENSE = 29,3690D2BB5A2E5030082F06666431339F
    LIC0001 = COMPANY:...
    LIC0002 = PRODUCT:XDM3
    LIC0003 = CPUID:1234
    LIC0004 = EXPIRES:2023-05-31

##########################################################################
# Command to install JDBC Drivers in the XDM pods. A JDBC driver is
# required for each database system that should be accessed by XDM.
# The command below must be customized to provide all required JDBC
# drivers. It is recommended to use JDBC drivers that are stored
# locally instead of downloading them from the internet. Otherwise,
# an internet connection is required at every restart of XDM.
##########################################################################
  jdbcDriversCommand: |-
      wget -P /xdm/config/jdbc-drivers/ -v --no-check-certificate https://jdbc.xyz.org/download/driver-1.0.0.jar

##########################################################################
# Section to configure the user authentication for the XDM web UI. XDM
# can maintain the users by itself, which is not recommended. You should
# use in in-house OpenID provider, or LDAP to authenticate users.
##########################################################################
userManagement:

##########################################################################
# Section to configure an OpenID provider like keycloak, azure, etc.
##########################################################################
#  oauth2:
#    enabled: false
#    registration:
#      <name>:
#        client-id: <client-id>
#        client-secret: <client-secret>
#        client-name: <client-name>
#        client-authentication-method: <client-authentication-method>
#        authorization-grant-type: <authorization-grant-type>
#        redirect-uri: <redirect-uri>
#        scope: <scope>
#    provider:
#      <name>:
#        authorization-uri: <authorization-uri>
#        token-uri: <token-uri>
#        jwk-set-uri: <jwk-set-uri>
#        user-info-uri: <user-info-uri>
#        user-info-authentication-method: <user-info-authentication-method>
#        userNameAttribute: <userNameAttribute>
#        issuer-uri: <issuer-uri>

##########################################################################
# Section to configure a LDAP system that is used to authenticate users.
##########################################################################
#  ldap:
#    enabled: false
#    url: <ldap-server-url>
#    searchFilter: <search-filter>
#    searchBase: <search-base>
#    group:
#      searchBase: <group-search-base>
#      searchFilter: <group-search-filter>
#    manager:
#      user: <manager-user>
#      password: <manager-password>
#      secret: <secret-name>

##########################################################################
# Configures internal users management by XDM. This is an alternative
# to LDAP authentication. Each user that is specified below can login
# to the XDM UI.
##########################################################################
  local: |
    # User name ; Password ; Roles
    tech;{noop}secret;ADMIN
    admin;{noop}secret;ADMIN

##########################################################################
# The storage section controls where XDM persistently stores internal
# files. If none of the below options is specified the files will be
# stored on a persistent volume that is shared over multiple Pods.
##########################################################################
storage:
##########################################################################
# Activates an Amazon AWS S3 compatible stores.
##########################################################################
#  type: "s3"
#  s3:
#    bucket: "xdm-int-icebox"
#    region: "eu-west-1"
#    endpoint: "https://fra1.digitaloceanspaces.com"
#    credentials:
#      accessKey: "QHEED3HRYQQ4AZ3ZULF3"
#      secretKey: "lIGXivPDMPOyN8voX3pDnmFlDI3eX9NmPqHv+Mpp26c"

##########################################################################
# Activates the Microsoft Azure blob store.
##########################################################################
#  type: "azure"
#  azure:
#    containerName: "xdm"
#    endpoint: "https://xdmtest1.blob.core.windows/..."
#    token: "AKIAIOSFODNN7EXAMPLE"
#    tokenSecret: "my-secret"

##########################################################################
# If the files should be stored on a persistent volume you should consider
# to use a volume that allows ReadWriteMany. The XDM default is ReadWriteOnce
##########################################################################
persistence:
  data:
    accessMode: ReadWriteMany

##########################################################################
# Specifies some of the possible security option of XDM. It controls which
# users become admin users and a seed that is used to encrypt passwords.
##########################################################################
#security:
#   adminRole: <admin-role>
#   passwordSeed: <password-seed>

##########################################################################
# Configures systsem resources that are assigned to each XDM task execution.
# A new Pod is created for each task execution. The below resources are
# applied to the deployment of the Pod.
##########################################################################
deployer:
  configuration:
    imagePullPolicy: Always
  platform:
    default:
      limits:
        memory: 2024Mi
      requests:
        memory: 2024Mi

##########################################################################
# Configures an ingress rule to make the XDM UI accessable by a domain name.
# The helm chart will setup the Ingress rule for the specified domain name
# and the TLS setup. XDMs web ui will be reachable under the specified domain.
#########################################################################
#ingress:
#  enabled: true
#  domain: <domain>
#  annotations: <annotations>
#  tls: <tls>
